ShadySheikah

Fire Emblem If Fan Translation (Under New Management!)

Recommended Posts

im having trouble patching the game, is there anyone that can help? ive tried using the provided patcher, but my 3ds cant read the patched .cia file for whatever reason, and the \luma\titles\titleid\romfs method doesnt work either. dumb question, but would i need a clean .cia file to do this? because the one i originally downloaded was already pre translated (im horrible with this kind of stuff and the treehouse localisation is awful)
I also really appreciate you guys for doing this haha :)

Share this post


Link to post
Share on other sites

Hello! I'm interesed play this Game but idk if this patch works with IF special Edition? 

If Special Edition have all dlc included right? Or i need the old if with all dlc and apply this... Thanks!

Share this post


Link to post
Share on other sites

Since the proejct seems to be on hold for a while, is there any interest in filling in the untranslated lines with the Fates lines, just as a stop gap? Just until they're translated, so we at least have a complete game, even if the later support convos will have a noticable drop in quality, at least we could read it. It looks like this was done before, there was a thread on 3dsiso, but it seems to have been since become unavailable.

Thread mentioning it on 3dsiso :http://www.3dsiso.com/showthread.php?282668-Raytwos-fire-emblem-if-special-edition-fanslation&p=505556#post505556

Share this post


Link to post
Share on other sites

 

4 hours ago, Aldwin4yder said:

Since the proejct seems to be on hold for a while, is there any interest in filling in the untranslated lines with the Fates lines, just as a stop gap? Just until they're translated, so we at least have a complete game, even if the later support convos will have a noticable drop in quality, at least we could read it. It looks like this was done before, there was a thread on 3dsiso, but it seems to have been since become unavailable.

Thread mentioning it on 3dsiso :http://www.3dsiso.com/showthread.php?282668-Raytwos-fire-emblem-if-special-edition-fanslation&p=505556#post505556

I asked this a while ago, it's something the team decided not to pursue.  I get it, though, but hopefully they'll get a 100% complete translation done, and then we can not hear about muscle drinks *shudder*.

On 11/13/2017 at 3:49 PM, luyairis said:

1. Yes, but there should be a separate version of the patch files designed specifically for Fates to account for some minor and some major internal file structure changes. I'd ask on GBATemp since the team is probably busy with university right now. Since you have the special version of Fates, Revelations is already on-cart, so I'd definitely refer to GBATemp for some more advice. (Sorry, I don't remember the patching details anymore tbh..). 

2. Not sure what you're asking since you said you had the special edition of Fates, so you should already have all 3 paths locally on your cart. Assuming you don't, yes, you can technically patch the digital downloads, but it's quite a bit more complicated.

At least like, a year ago (lol) we didn't plan on using Treehouse's translation to "fill" in untranslated files. It's definitely an option that isn't technically too complicated to implement, lol. 

I'm not sure of the technical details of his patch, but from a high-level view I don't think it would be incompatible. His patch shouldn't have to alter any story-related files, moreso the internal game engine/system itself. We also were able to use the patch when one of our own turned Chrom/Lissa/Frederick into playable characters, so it definitely shouldn't be impossible, but may require a little more nuancing to patch. 

--Take all of this with a grain of salt, I don't work for the team anymore lol

So, basically, while it's an option, it doesn't sound like that's what they're gonna do.  Because of college / university, I would have to imagine we'll get some more updates around the summer timeframe.

Share this post


Link to post
Share on other sites

Guys, when trying to patch, I get this message:

"the specified executable is not a valid application for this operating system platform"

Is it because I am using the special edition?

 

Share this post


Link to post
Share on other sites

I want to know if the project is still alive  it's really hard to play the game without cringing and thanks to you guys that are doing God's work we maybe able to enjoy the game like it was intended to be.

Edited by Deviljhoss

Share this post


Link to post
Share on other sites
5 hours ago, Sand said:

Sorry to bother, do you have any upcoming updates on the project?

If this is legit then they're still working on it slowly but surely.

Share this post


Link to post
Share on other sites

I couldn't really find any other place, so I guess I'll ask here (apologies if this is the wrong spot)...

Is there a Fates version of this? As in, a Japanese to English translation applied to Fates? For instance, so we have more of a C Support between Beruka and Saizo than "..."?

Share this post


Link to post
Share on other sites

I'm looking to acquire the fanslation scripts - preferably decompressed and already in English, and it's just a selection of supports that I need; I could specify - but I need them quite urgently, the deadline for the project I need them for being the 30th. If anyone is capable of helping me in any way, that'd be immensely appreciated.

Thank you for reading.

Share this post


Link to post
Share on other sites

Been playing the latest patch, and I can't express how happy I am that you guys are doing this! I look forward to the next update~

Share this post


Link to post
Share on other sites

Hi everyone! I've been attempting to figure out a way to patch my physical copy of Fire Emblem Fates: SE using the patcher but I'm completely lost on what to do with CIA files and the like. The patch guide on github wasn't showing for me so I thought I would try to do a little research on my own to figure out what to do, but I've come up with just more confusion. Would someone mind helping this poor soul out with the process? To provide a little information, I'm currently using Freakyhax on a 11.6.0 firmware DS, and I've read that Freakyhax isn't a really good option for this kind of stuff. I'd really appreciate any help I can get! 

Share this post


Link to post
Share on other sites

Is there any way to install the japanese DLC with just FBI or BBM? I dont really are much tech savvy so i dont really want to fiddle with NTR. I got an already patched CIA with fates and the allegued DLC but it never registers in my game after installed. I had some problems with Fates US DLC but the solution to that doesnt works on if. Also would like an update if possible.

Share this post


Link to post
Share on other sites
On 6/20/2018 at 11:02 AM, kratoscar2008 said:

Is there any way to install the japanese DLC with just FBI or BBM? I dont really are much tech savvy so i dont really want to fiddle with NTR. I got an already patched CIA with fates and the allegued DLC but it never registers in my game after installed. I had some problems with Fates US DLC but the solution to that doesnt works on if. Also would like an update if possible.

Assuming that you have the latest version of luma installed on your 3DS, turn on your 3DS holding the select button, and from the menu there turn on "Enable Game Patching". This will make out-of-region dlc you have installed work.

 

Also happy 1 year and 2 days since the last update to the op of this thread everyone!

Share this post


Link to post
Share on other sites

Hi, I'm having an issue. During certain cutscenes like chapter 6 the game will crash after  a few seconds and I'm presented with an error "An exception occurred" however during other cutscenes like the first one of chapter 26 work properly. I've included the dump files of the crashes. I'm also having issues with the subtitles during cutscenes, I have the undub installed but the subtitles are displaying question marks instead of the translation. However sound effects like (screaming) (Laughs evilly) display normally.

crash_dump_00000003.dmp

Share this post


Link to post
Share on other sites

Can't wait till this is done! I really enjoyed fates but I want the removed features like the pet minigames and the removed/censored dialogues. Good luck and hope the patch is making steady progress! 

Share this post


Link to post
Share on other sites
On 6/27/2018 at 6:06 AM, TrainerX493 said:

Assuming that you have the latest version of luma installed on your 3DS, turn on your 3DS holding the select button, and from the menu there turn on "Enable Game Patching". This will make out-of-region dlc you have installed work.

 

Also happy 1 year and 2 days since the last update to the op of this thread everyone!

Doesnt works. Luma version is 8.1.1, tried the steps on the github and no results whatsoever. The version of the game is the special edition but it comes with the english patch already installed.

Share this post


Link to post
Share on other sites

So i accidentally replied to the old thread so whoop copy paste

Ha I actually made an account (after like 6 years of stalking) to post this.

 

Does anyone know or have a way to get an undub for a O3ds? I just want the original voice cast.

Share this post


Link to post
Share on other sites
9 hours ago, Emikkuro said:

So i accidentally replied to the old thread so whoop copy paste

Ha I actually made an account (after like 6 years of stalking) to post this.

 

Does anyone know or have a way to get an undub for a O3ds? I just want the original voice cast.

There's a mirror in the old content restoration thread. 

Follow the instructions in https://gbatemp.net/threads/fire-emblem-fates-undub-patch-help.462554/

Share this post


Link to post
Share on other sites

Just a question that I got in my head a few days ago, but have you translated all different scripts? Like formal, informal, silent, and more(if there is any) I know it's hard to translate such things to another language(from japanese) 

Share this post


Link to post
Share on other sites

I tried opening the tutorial but it says "You do not have permission to update this wiki.".I tried patching it anyway and at the end when it gives me the option to save the patched cia this error happens: "Unhandled exception has occurred in your application. If you click continue the application will ignore this error and attempt to continue. If you click quit the application will close immediately." I click continue and eventually the patcher closes on its own. Help.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now


  • Recently Browsing   0 members

    No registered users viewing this page.